<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Whack a mole</title>
	<link rel="stylesheet" href="./library/fontawesome/all.min.css">
	<link rel="stylesheet" href="./main.css">
</head>
<body>
<div class="container">
	<div class="header">
		<h2 class="title">Whack-a-Mole</h2>
		<div class="score-container">
			<div>Computer:<span id="container-comp">0</span></div>
			<div>Player:<span id="container-player">0</span></div>
		</div>

	</div>
	<div class="btn-container">
		<select id="level">
			<option value="easy">Easy</option>
			<option value="middle">Middle</option>
			<option value="high">High</option>
		</select>
		<a  href="#" id="start">Start</a>
	</div>
	<div id="message-container">

	</div>
	<div id = "table-container"></div>

</div>

<script src="./main.js"></script>

<script>

	const container = document.getElementById("table-container");
	const table = new Table(container, 10, 10, "table-form", "table-item");
	table.render();
	const scoreCom = document.getElementById("container-comp");
    const scorePlayer = document.getElementById("container-player");
    const containerMessage = document.getElementById("message-container");
    const btnStart = document.getElementById("start");
    btnStart.addEventListener("click", function () {
    	container.querySelector(".table-form").remove();
		const tableE = new Table(container, 10, 10, "table-form", "table-item");
		const amountItems = tableE.render();
    	const level = document.getElementById("level").value;
		const whackMole = new WhackMole(level, amountItems, "table-item", "table-item-up", "table-item-success",
				"table-item-fail",
				scoreCom, scorePlayer, containerMessage);

		whackMole.start();
	});



</script>

</body>
</html>